Package org.eclipse.birt.chart.model.type.impl

# Class DifferenceSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.LineSeriesImpl
org.eclipse.birt.chart.model.type.impl.AreaSeriesImpl
org.eclipse.birt.chart.model.type.impl.DifferenceSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `AreaSeries`, `DifferenceSeries`, `LineSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DifferenceSeriesImpl extends AreaSeriesImpl implements DifferenceSeries
An implementation of the model object 'Difference Series'.

The following features are implemented:

- `Negative Markers`
- `Negative Line Attributes`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetNegativeLineAttributes(LineAttributes newNegativeLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`DifferenceSeries`
`copyInstance()`
A convenient method to get an instance copy.
`static final Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`LineAttributes`
`getNegativeLineAttributes()`
`org.eclipse.emf.common.util.EList<Marker>`
`getNegativeMarkers()`
`void`
`setNegativeLineAttributes(LineAttributes newNegativeLineAttributes)`

### Methods inherited from class org.eclipse.birt.chart.model.type.impl.AreaSeriesImpl

`translateFrom`

### Methods inherited from class org.eclipse.birt.chart.model.type.impl.LineSeriesImpl

`basicSetLineAttributes, basicSetMarker, basicSetShadowColor, canShareAxisUnit, getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, toString, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getNegativeMarkers

public org.eclipse.emf.common.util.EList<Marker> getNegativeMarkers()

Specified by:
  `getNegativeMarkers` in interface `DifferenceSeries`
Returns:
  the value of the 'Negative Markers' containment reference list.
See Also:
  - `TypePackage.getDifferenceSeries_NegativeMarkers()`

### getNegativeLineAttributes

public LineAttributes getNegativeLineAttributes()

Specified by:
  `getNegativeLineAttributes` in interface `DifferenceSeries`
Returns:
  the value of the 'Negative Line Attributes' containment reference.
See Also:
  - `DifferenceSeries.setNegativeLineAttributes(LineAttributes)`
  - `TypePackage.getDifferenceSeries_NegativeLineAttributes()`

### basicSetNegativeLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetNegativeLineAttributes(LineAttributes newNegativeLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setNegativeLineAttributes

public void setNegativeLineAttributes(LineAttributes newNegativeLineAttributes)

Specified by:
  `setNegativeLineAttributes` in interface `DifferenceSeries`
Parameters:
  `newNegativeLineAttributes` - the new value of the 'Negative Line Attributes' containment reference.
See Also:
  - `DifferenceSeries.getNegativeLineAttributes()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `LineSeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `LineSeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `LineSeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `LineSeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `LineSeriesImpl`

### canBeStacked

public boolean canBeStacked()
Description copied from interface: `Series`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Specified by:
  `canBeStacked` in interface `Series`
Overrides:
  `canBeStacked` in class `LineSeriesImpl`
Returns:
  true means this series can be stacked

### canParticipateInCombination

public boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Overrides:
  `canParticipateInCombination` in class `LineSeriesImpl`
Returns:
  true means this series can be used in combination chart

### create

public static final Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### createDefault

public static final Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `AreaSeriesImpl`
Returns:
  display name for the series type

### copyInstance

public DifferenceSeries copyInstance()
Description copied from interface: `DifferenceSeries`
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `AreaSeries`
Specified by:
  `copyInstance` in interface `DifferenceSeries`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `AreaSeriesImpl`

### getDefinedDataDefinitionIndex

public int[] getDefinedDataDefinitionIndex()
Description copied from interface: `Series`
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Specified by:
  `getDefinedDataDefinitionIndex` in interface `Series`
Overrides:
  `getDefinedDataDefinitionIndex` in class `SeriesImpl`
Returns:
  index array